<div xmlns:ext="http://www.extjs.com" class="body-wrap"><h1>Class <a href="source/Provider1.html#cls-Ext.state.Provider">Ext.state.Provider</a></h1><table cellspacing="0"><tr><td class="label">Package:</td><td class="hd-info">Ext.state</td></tr><tr><td class="label">Defined In:</td><td class="hd-info">Provider.js</td></tr><tr><td class="label">Class:</td><td class="hd-info"><a href="source/Provider1.html#cls-Ext.state.Provider">Provider</a></td></tr><tr><td class="label">Subclasses:</td><td class="hd-info"><a href="output/Ext.state.CookieProvider.html" ext:cls="Ext.state.CookieProvider">CookieProvider</a></td></tr><tr><td class="label">Extends:</td><td class="hd-info">Object</td></tr></table><div class="description">Abstract base class for state provider implementations. This class provides methods
for encoding and decoding <b>typed</b> variables including dates and defines the
Provider interface.</div><div class="hr"></div><a id="Ext.state.Provider-props"></a><h2>Public Properties</h2><table cellspacing="0" class="member-table"><tbody><tr><th colspan="2" class="sig-header">Property</th><th class="msource-header">Defined By</th></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-"></a><b><a href="source/ext-lang-vn.html#prop-Ext.state.Provider-"></a></b> : Object<div class="mdesc">List compiled by mystix on the extjs.com forums.
Thank you Mystix!</div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-Slovak"></a><b><a href="source/ext-lang-sk.html#prop-Ext.state.Provider-Slovak">Slovak</a></b> : Object<div class="mdesc">List compiled by mystix on the extjs.com forums.
Thank you Mystix!</div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-sv_SE.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">Swedish translation (utf8-encoding)
By Erik Andersson, Monator Technologies
24 April 2007
Changed by Cariad, 29 July ...</div><div class="long">Swedish translation (utf8-encoding)
By Erik Andersson, Monator Technologies
24 April 2007
Changed by Cariad, 29 July 2007</div></div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-nl.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">List compiled by mystix on the extjs.com forums.
Thank you Mystix!
Dutch Translations
by Ido Sebastiaan Bas van Oostv...</div><div class="long">List compiled by mystix on the extjs.com forums.
Thank you Mystix!
Dutch Translations
by Ido Sebastiaan Bas van Oostveen (12 Oct 2007)
updated to 2.2 by Condor (8 Aug 2008)</div></div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-ro.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">Romanian translations for ExtJS 2.1
First released by Lucian Lature on 2007-04-24
Changed locale for Romania (date fo...</div><div class="long">Romanian translations for ExtJS 2.1
First released by Lucian Lature on 2007-04-24
Changed locale for Romania (date formats) as suggested by keypoint
on ExtJS forums: http://www.extjs.com/forum/showthread.php?p=129524#post129524
Removed some useless parts
Changed by: Emil Cazamir, 2008-04-24
Fixed some errors left behind
Changed by: Emil Cazamir, 2008-09-01</div></div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-pt_PT.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">Ext 2.2.0 - Portuguese/Portugal (pt_PT) Translation
by Nuno Franco da Costa - francodacosta.com
translated from ext-l...</div><div class="long">Ext 2.2.0 - Portuguese/Portugal (pt_PT) Translation
by Nuno Franco da Costa - francodacosta.com
translated from ext-lang-en.js
11 Nov 2008</div></div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-gr.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Greek (Old Version) Translations by Vagelis
03-June-2007</div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-lv.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Latvian Translations
By salix 17 April 2007</div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-fi.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Finnish Translations
<tuomas.salo (at) iki.fi>
'ä' should read as lowercase 'a' with two dots on top (&auml;)</div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-el_GR.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">Greek translation
By thesilentman (utf8 encoding)
27 Apr 2008
Changes since previous (second) Version:
+ added Date.s...</div><div class="long">Greek translation
By thesilentman (utf8 encoding)
27 Apr 2008
Changes since previous (second) Version:
+ added Date.shortMonthNames 
+ added Date.getShortMonthName 
+ added Date.monthNumbers
+ added Ext.grid.GroupingView</div></div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-he.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Hebrew Translations
By spartacus (from forums) 06-12-2007</div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-ca.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">Catalonian Translation by halkon_polako 6-12-2007
December correction halkon_polako 11-12-2007
Synchronized with 2.2 ...</div><div class="long">Catalonian Translation by halkon_polako 6-12-2007
December correction halkon_polako 11-12-2007
Synchronized with 2.2 version of ext-lang-en.js (provided by Condor 8 aug 2008) 
by halkon_polako 14-aug-2008</div></div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-vn.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Vietnamese translation
By bpmtri
12-April-2007 04:06PM</div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-tr.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">List compiled by mystix on the extjs.com forums.
Thank you Mystix!
Turkish translation by Alper YAZGAN
2008-01-24, 10...</div><div class="long">List compiled by mystix on the extjs.com forums.
Thank you Mystix!
Turkish translation by Alper YAZGAN
2008-01-24, 10:29 AM 
Updated to 2.2 by YargicX
2008-10-05, 06:22 PM</div></div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-id.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">Pedoman translasi:
http://id.wikisource.org/wiki/Panduan_Pembakuan_Istilah,_Pelaksanaan_Instruksi_Presiden_Nomor_2_Ta...</div><div class="long">Pedoman translasi:
http://id.wikisource.org/wiki/Panduan_Pembakuan_Istilah,_Pelaksanaan_Instruksi_Presiden_Nomor_2_Tahun_2001_Tentang_Penggunaan_Komputer_Dengan_Aplikasi_Komputer_Berbahasa_Indonesia
Original source: http://vlsm.org/etc/baku-0.txt
by Farid GS
farid [at] pulen.net
10:13 04 Desember 2007
Indonesian Translations</div></div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-ko.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Korean Translations By nicetip
05 September 2007
Modify by techbug / 25 February 2008</div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-lt.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">Lithuanian Translations (UTF-8)
Vladas Saulis (vladas at prodata dot lt),  03-29-2009
Vladas Saulis (vladas at prodat...</div><div class="long">Lithuanian Translations (UTF-8)
Vladas Saulis (vladas at prodata dot lt),  03-29-2009
Vladas Saulis (vladas at prodata dot lt),  10-18-2007</div></div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-no_NN.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Norwegian translation (Nynorsk: no-NN)
By Tore Kjørsvik 21-January-2008</div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-pl.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Polish Translations
By vbert 17-April-2007
Updated by mmar 16-November-2007
Encoding: utf-8</div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-cs.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Czech Translations
Translated by Tomáš Korčák (72)
2008/02/08 18:02, Ext-2.0.1</div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-en_GB.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">List compiled by mystix on the extjs.com forums.
Thank you Mystix!
English (UK) Translations
updated to 2.2 by Condor...</div><div class="long">List compiled by mystix on the extjs.com forums.
Thank you Mystix!
English (UK) Translations
updated to 2.2 by Condor (8 Aug 2008)</div></div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-th.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">List compiled by KillerNay on the extjs.com forums.
Thank you KillerNay!
Thailand Translations</div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-pt_BR.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">Portuguese/Brazil Translation by Weber Souza
08 April 2007
Updated by Allan Brazute Alves (EthraZa)
06 September 2007...</div><div class="long">Portuguese/Brazil Translation by Weber Souza
08 April 2007
Updated by Allan Brazute Alves (EthraZa)
06 September 2007
Updated by Leonardo Lima
05 March 2008
Updated by Juliano Tarini (jtarini)
22 April 2008</div></div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-hu.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">List compiled by mystix on the extjs.com forums.
Thank you Mystix!
Hungarian Translations (utf-8 encoded)
by Amon  (2...</div><div class="long">List compiled by mystix on the extjs.com forums.
Thank you Mystix!
Hungarian Translations (utf-8 encoded)
by Amon <amon@theba.hu> (27 Apr 2008)
encoding fixed by Vili (17 Feb 2009)</div></div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-no_NB.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Norwegian translation (Bokmål: no-NB)
By Tore Kjørsvik 21-January-2008</div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-en.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">List compiled by mystix on the extjs.com forums.
Thank you Mystix!
English Translations
updated to 2.2 by Condor (8 A...</div><div class="long">List compiled by mystix on the extjs.com forums.
Thank you Mystix!
English Translations
updated to 2.2 by Condor (8 Aug 2008)</div></div></td><td class="msource">Provider</td></tr><tr class="property-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-bg.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc"><div class="short">Bulgarian Translation
By Георги Костадинов, Калгари, Канада
10 October 2007
By Nedko Penev 
26 October 2007
(utf-8 en...</div><div class="long">Bulgarian Translation
By Георги Костадинов, Калгари, Канада
10 October 2007
By Nedko Penev 
26 October 2007
(utf-8 encoding)</div></div></td><td class="msource">Provider</td></tr><tr class="property-row  "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-indicatorText"></a><b><a href="source/ext-lang-sl.html#prop-Ext.state.Provider-indicatorText">indicatorText</a></b> : Object<div class="mdesc">Slovenian translation by Matjaž (UTF-8 encoding)
25 April 2007</div></td><td class="msource">Provider</td></tr></tbody></table><a id="Ext.state.Provider-methods"></a><h2>Public Methods</h2><table cellspacing="0" class="member-table"><tbody><tr><th colspan="2" class="sig-header">Method</th><th class="msource-header">Defined By</th></tr><tr class="method-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-clear"></a><b><a href="source/Provider1.html#method-Ext.state.Provider-clear">clear</a></b>(&nbsp;<code>String&nbsp;name</code>&nbsp;)
    :
                                        void<div class="mdesc"><div class="short">Clears a value from the state</div><div class="long">Clears a value from the state<div class="mdetail-params"><strong>Parameters:</strong><ul><li><code>name</code> : String<div class="sub-desc">The key name</div></li></ul><strong>Returns:</strong><ul><li>void</li></ul></div></div></div></td><td class="msource">Provider</td></tr><tr class="method-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-decodeValue"></a><b><a href="source/Provider1.html#method-Ext.state.Provider-decodeValue">decodeValue</a></b>(&nbsp;<code>String&nbsp;value</code>&nbsp;)
    :
                                        Mixed<div class="mdesc"><div class="short">Decodes a string previously encoded with encodeValue.</div><div class="long">Decodes a string previously encoded with <a href="output/Ext.state.Provider.html#Ext.state.Provider-encodeValue" ext:member="encodeValue" ext:cls="Ext.state.Provider">encodeValue</a>.<div class="mdetail-params"><strong>Parameters:</strong><ul><li><code>value</code> : String<div class="sub-desc">The value to decode</div></li></ul><strong>Returns:</strong><ul><li><code>Mixed</code><div class="sub-desc">The decoded value</div></li></ul></div></div></div></td><td class="msource">Provider</td></tr><tr class="method-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-encodeValue"></a><b><a href="source/Provider1.html#method-Ext.state.Provider-encodeValue">encodeValue</a></b>(&nbsp;<code>Mixed&nbsp;value</code>&nbsp;)
    :
                                        String<div class="mdesc"><div class="short">Encodes a value including type information.  Decode with decodeValue.</div><div class="long">Encodes a value including type information.  Decode with <a href="output/Ext.state.Provider.html#Ext.state.Provider-decodeValue" ext:member="decodeValue" ext:cls="Ext.state.Provider">decodeValue</a>.<div class="mdetail-params"><strong>Parameters:</strong><ul><li><code>value</code> : Mixed<div class="sub-desc">The value to encode</div></li></ul><strong>Returns:</strong><ul><li><code>String</code><div class="sub-desc">The encoded value</div></li></ul></div></div></div></td><td class="msource">Provider</td></tr><tr class="method-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-get"></a><b><a href="source/Provider1.html#method-Ext.state.Provider-get">get</a></b>(&nbsp;<code>String&nbsp;name</code>,&nbsp;<code>Mixed&nbsp;defaultValue</code>&nbsp;)
    :
                                        Mixed<div class="mdesc"><div class="short">Returns the current value for a key</div><div class="long">Returns the current value for a key<div class="mdetail-params"><strong>Parameters:</strong><ul><li><code>name</code> : String<div class="sub-desc">The key name</div></li><li><code>defaultValue</code> : Mixed<div class="sub-desc">A default value to return if the key's value is not found</div></li></ul><strong>Returns:</strong><ul><li><code>Mixed</code><div class="sub-desc">The state data</div></li></ul></div></div></div></td><td class="msource">Provider</td></tr><tr class="method-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-set"></a><b><a href="source/Provider1.html#method-Ext.state.Provider-set">set</a></b>(&nbsp;<code>String&nbsp;name</code>,&nbsp;<code>Mixed&nbsp;value</code>&nbsp;)
    :
                                        void<div class="mdesc"><div class="short">Sets the value for a key</div><div class="long">Sets the value for a key<div class="mdetail-params"><strong>Parameters:</strong><ul><li><code>name</code> : String<div class="sub-desc">The key name</div></li><li><code>value</code> : Mixed<div class="sub-desc">The value to set</div></li></ul><strong>Returns:</strong><ul><li>void</li></ul></div></div></div></td><td class="msource">Provider</td></tr></tbody></table><a id="Ext.state.Provider-events"></a><h2>Public Events</h2><table cellspacing="0" class="member-table"><tbody><tr><th colspan="2" class="sig-header">Event</th><th class="msource-header">Defined By</th></tr><tr class="method-row expandable "><td class="micon"><a href="#expand" class="exi">&nbsp;</a></td><td class="sig"><a id="Ext.state.Provider-statechange"></a><b><a href="source/Provider1.html#event-Ext.state.Provider-statechange">statechange</a></b> :
                                      (&nbsp;<code>Provider&nbsp;this</code>,&nbsp;<code>String&nbsp;key</code>,&nbsp;<code>String&nbsp;value</code>&nbsp;)
    <div class="mdesc"><div class="short">Fires when a state change occurs.</div><div class="long">Fires when a state change occurs.<div class="mdetail-params"><strong style="font-weight: normal;">Listeners will be called with the following arguments:</strong><ul><li><code>this</code> : Provider<div class="sub-desc">This state provider</div></li><li><code>key</code> : String<div class="sub-desc">The state key which was changed</div></li><li><code>value</code> : String<div class="sub-desc">The encoded value for the state</div></li></ul></div></div></div></td><td class="msource">Provider</td></tr></tbody></table></div>